Page MenuHomePhabricator

Launch ERI RC page features as a Beta Feature to all wikis
Closed, ResolvedPublic

Description

When the ORES and other ERI features are ready (see subtasks), add them as a beta on the wikis for which the relevant two ORES tests are available (damaging and goodfaith).

Related Objects

Event Timeline

Pginer-WMF updated the task description. (Show Details)Sep 1 2016, 8:00 AM
jmatazzoni removed jmatazzoni as the assignee of this task.Sep 1 2016, 7:19 PM

Some people may ask which are the "relevant wikis". Can you clarify?

Quiddity updated the task description. (Show Details)Sep 10 2016, 1:38 AM
Quiddity added a subscriber: Quiddity.
jmatazzoni closed this task as Resolved.Jan 5 2017, 10:38 PM
jmatazzoni claimed this task.

I'm closing this epic task, since I don't see that it has much purpose any more.

Jdforrester-WMF reopened this task as Open.Feb 9 2017, 12:09 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Re-opening. :-)

Jdforrester-WMF renamed this task from Launch ERI RC page features as a beta on relevant wikis to Launch ERI RC page features as a Beta Feature to all wikis.Feb 9 2017, 12:10 AM

Change 343438 had a related patch set uploaded (by Catrope):
[operations/mediawiki-config@master] Enable RCFilters beta feature on fawiki, ruwiki, trwiki, and frwiki

https://gerrit.wikimedia.org/r/343438

Change 343439 had a related patch set uploaded (by Catrope):
[operations/mediawiki-config@master] Enable RCFilters beta feature on all wikis except wikidatawiki, nlwiki, cswiki and etwiki

https://gerrit.wikimedia.org/r/343439

Change 347045 had a related patch set uploaded (by Catrope):
[operations/mediawiki-config@master] Enable RCFilters beta feature on all remaining wikis

https://gerrit.wikimedia.org/r/347045

Change 343438 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RCFilters beta feature on fawiki, ruwiki, trwiki, and frwiki

https://gerrit.wikimedia.org/r/343438

zfilipin@terbium:~$ mwscript initUserPreference.php --wiki fawiki -s ores-enabled -t oresHighlight
Initializing 'oresHighlight' based on the value of 'ores-enabled'
Processed 828 user(s)
Finished!

zfilipin@terbium:~$ mwscript initUserPreference.php --wiki ruwiki -s ores-enabled -t oresHighlight
Initializing 'oresHighlight' based on the value of 'ores-enabled'
Processed 3203 user(s)
Finished!

zfilipin@terbium:~$ mwscript initUserPreference.php --wiki trwiki -s ores-enabled -t oresHighlight
Initializing 'oresHighlight' based on the value of 'ores-enabled'
Processed 786 user(s)
Finished!

Mentioned in SAL (#wikimedia-operations) [2017-04-11T13:55:56Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:343438|Enable RCFilters beta feature on fawiki, ruwiki, trwiki, and frwiki (T144458)]] (duration: 00m 39s)

@Trizek-WMF The next phase (English + non-ORES wikis, with the exception of Hebrew Wikipedia) is scheduled for Monday at 7 AM.

Johan added a subscriber: Johan.EditedApr 20 2017, 1:15 PM

@Trizek-WMF: For Tech News purposes, is this the same as T158333, or something else?

@Trizek-WMF: For Tech News purposes, is this the same as T158333, or something else?

It is.

Change 343439 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RCFilters beta feature on all wikis except wikidatawiki, nlwiki, cswiki, etwiki and hewiki

https://gerrit.wikimedia.org/r/343439

Deployment of the final phase (enabling the beta feature on all wikis that don't already have it) is scheduled for May 9th at 23:00 UTC.

Change 347045 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RCFilters beta feature on all remaining wikis

https://gerrit.wikimedia.org/r/347045

Mentioned in SAL (#wikimedia-operations) [2017-05-09T23:54:21Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RCFilters beta feature on all remaining wikis (T144458) (duration: 00m 44s)

Jdforrester-WMF closed this task as Resolved.May 10 2017, 4:47 PM

Huzzah.

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 2 2018, 7:25 AM